FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Fl_PNM_Image Class Reference

The Fl_PNM_Image class supports loading, caching, and drawing of Portable Anymap (PNM, PBM, PGM, PPM) image files. More...

`#include <Fl_PNM_Image.H>`

Inheritance diagram for Fl_PNM_Image:

List of all members.

## Public Member Functions
| Fl_PNM_Image (const char *filename)
| The constructor loads the named PNM image.

## Detailed Description

The Fl_PNM_Image class supports loading, caching, and drawing of Portable Anymap (PNM, PBM, PGM, PPM) image files.

The class loads bitmap, grayscale, and full-color images in both ASCII and binary formats.

## Constructor & Destructor Documentation

Fl_PNM_Image::Fl_PNM_Image | ( | const char * | name | ) |

The constructor loads the named PNM image.

The inherited destructor free all memory and server resources that are used by the image.

The documentation for this class was generated from the following files:

- Fl_PNM_Image.H
- Fl_PNM_Image.cxx